81 Commits (a1097caa6a30f45661ee510c59bf0e01972cebba)

Author SHA1 Message Date
  Mathieu Lirzin a1097caa6a build: Move environment '.in' scripts to 'build-aux' directory. 4 years ago
  Ludovic Courtès aeaa5ccbf4 build: Bump version number. 4 years ago
  Ludovic Courtès bb25130764 build: 'make check' errors out if file name limits would be hit. 5 years ago
  Ludovic Courtès 03cea32031 build: Bump version number. 5 years ago
  Ludovic Courtès cd48eae560 build: Always check for gzip/bzip2/xz. 5 years ago
  Alex Kost 51805219a5 build: Set DOT_USER_PROGRAM for Emacs interface. 5 years ago
  Ludovic Courtès ca34fc317f build: Fix libgcrypt detection on FHS systems. 5 years ago
  Ludovic Courtès dd01fecd23 build: Automatically determine libgcrypt's file name. 5 years ago
  Ludovic Courtès abbe2c61cf build: Bump version number. 5 years ago
  Mathieu Lirzin bd6163d13f build: Produce 'guix-config' instead of using compile-time tricks. 5 years ago
  Ludovic Courtès 12e5b26643 build: Do not build (guix build syscalls) if 'mount' is missing from libc. 5 years ago
  Mathieu Lirzin 8c01b9d05a doc: Move most 'HACKING' informations into the manual. 5 years ago
  Ludovic Courtès 366801afd5 build: Bump version number. 5 years ago
  Ludovic Courtès 52eca736f6 build: Build and install manual pages. 5 years ago
  Ludovic Courtès 47c66da00b build: Require Guile >= 2.0.7. 5 years ago
  Ludovic Courtès a84e523c4a build: Silence warnings about 'make' portability. 5 years ago
  Ludovic Courtès ee3e157dec Add Bash completion file. 5 years ago
  Ludovic Courtès 032c7c5f78 build: Enable silent rules by default. 5 years ago
  Ludovic Courtès 0e991c25d6 build: Detect lack of guile.m4 at autoconf time. 5 years ago
  Ludovic Courtès fe3df05091 build: Bump version number. 5 years ago
  Ludovic Courtès 2178ed66f7 build: Reject or warn against file name length limit overruns. 6 years ago
  Ludovic Courtès 842e0b95f4 build: Change version to 0.8.1. 6 years ago
  Alex Kost 3db349cb09 emacs: Move profiles code to "guix-profiles.el.in". 6 years ago
  Ludovic Courtès c63bc533c1 build: Bump version number. 6 years ago
  David Thompson 1b3e968512 import: Add PyPI importer. 6 years ago
  Ludovic Courtès 596fcbf768 build: Don't generate Emacs autoloads when Emacs is unavailable. 6 years ago
  Alex Kost 457f60fa06 Add Emacs user interface. 6 years ago
  Ludovic Courtès 5f28f6aab4 build: Bump to version 0.8. 6 years ago
  Andreas Enge 5ac12a4f77 Require only lower gettext version. 6 years ago
  Ludovic Courtès ee76417972 Separate package description translations from string translations. 6 years ago
  Ludovic Courtès ef1a9bb7d6 Move gettext files to 'po/guix'. 6 years ago
  Ludovic Courtès a3977466db build: Fix builds without --with-libgcrypt-prefix nor --with-libgcrypt-libdir. 6 years ago
  Ludovic Courtès 14af289ed9 build: Add --with-libgcrypt-libdir=DIR to support Debian's multi-arch layout. 6 years ago
  Ludovic Courtès 901de55fbb build: Bump to version 0.7. 6 years ago
  Ludovic Courtès 834129e0e2 Change the default store file name to /gnu/store. 6 years ago
  Ludovic Courtès 6bfec3edf5 store: Add 'register-path' procedure. 7 years ago
  Ludovic Courtès bb0a70e1f1 build: Improve documentation of Nix-related options. 7 years ago
  Ludovic Courtès 3f40cfdece config: Export '%config-directory'. 7 years ago
  Ludovic Courtès e71998cd93 build: Bump to version 0.6. 7 years ago
  Ludovic Courtès ff1cbb9538 build: Make sure pkg.m4 is present. 7 years ago
  Ludovic Courtès 07ef14afc9 build: Bump version to 0.5. 7 years ago
  Ludovic Courtès cb9e50f618 build: Use `missing' for `dot'. 7 years ago
  Ludovic Courtès a9424c0887 build: Build docs from the top-level Makefile. 7 years ago
  Ludovic Courtès 044498a0b9 build: Bump version to 0.4. 7 years ago
  Ludovic Courtès 1959fb04dc build: Provide a replacement (srfi srfi-37) when the user's one is broken. 7 years ago
  Ludovic Courtès b97556d75c build: Bail out on unsupported platforms; add `--with-courage'. 7 years ago
  Ludovic Courtès 4bc3fcc771 build: Switch to 0.3. 7 years ago
  Ludovic Courtès e8b3afeb92 build: Use separate `AC_CONFIG_FILES' invocations for executable files. 7 years ago
  Ludovic Courtès 9c7dd33a48 build: Make sure the user's Guile has all the required features. 7 years ago
  Ludovic Courtès 56dbcb09d8 build: Explicitly require Guile >= 2.0.5. 7 years ago